Qt Reference Documentation

# AudioDataOutput Class Reference

(Phonon::AudioDataOutput)

The AudioDataOutput class provides access to audio data. More...

Inherits: QObject and MediaNode.

This class was introduced in Qt 4.7.

- List of all members, including inherited members

## Public Types

enum | Channel { LeftChannel, RightChannel, CenterChannel, LeftSurroundChannel, RightSurroundChannel, SubwooferChannel }

## Properties

- dataSize : int

- 1 property inherited from QObject

## Public Functions

int | dataSize () const
int | sampleRate () const

- 29 public functions inherited from QObject
- 3 public functions inherited from Phonon::MediaNode

## Public Slots

void | setDataSize ( int size )

- 1 public slot inherited from QObject

## Signals

void | dataReady ( const QMap<Phonon::AudioDataOutput::Channel, QVector<qint16> > & data )
void | endOfMedia ( int remainingSamples )

- 1 signal inherited from QObject

### Additional Inherited Members

- 7 static public members inherited from QObject
- 8 protected functions inherited from QObject

## Detailed Description

The AudioDataOutput class provides access to audio data.

This class is used to obtain audio data, typically for the purpose of visualizing it.

Although it is not designed for realtime performance, the latencies associated with accessing the data should be low enough for applications that provide visualizations of the data. This class can also be used to save the audio data for further processing.

## Member Type Documentation

### enum AudioDataOutput::Channel

This enum describes the channel audio data belongs to.

Constant | Value
--- | ---
`Phonon::AudioDataOutput::LeftChannel` | `0`
`Phonon::AudioDataOutput::RightChannel` | `1`
`Phonon::AudioDataOutput::CenterChannel` | `2`
`Phonon::AudioDataOutput::LeftSurroundChannel` | `3`
`Phonon::AudioDataOutput::RightSurroundChannel` | `4`
`Phonon::AudioDataOutput::SubwooferChannel` | `5`

## Property Documentation

### dataSize : int

This property holds the number of samples passed via the dataReady() signal.

Access functions:

int | dataSize () const
void | setDataSize ( int size )

## Member Function Documentation

### void AudioDataOutput::dataReady ( const QMap<Phonon::AudioDataOutput::Channel, QVector<qint16> > & data )`[signal]`

This signal is emitted whenever there is data available to read. The data sent by the signal is supplied in the form of a map that holds the data for different output channels.

### void AudioDataOutput::endOfMedia ( int remainingSamples )`[signal]`

This signal is emitted before the final dataReady() signal is emitted for a media. The remainingSamples value sent by the signal contains the number of samples that will be sent in the final dataReady() signal for the media.

### int AudioDataOutput::sampleRate () const

Returns the sample rate measured in Hertz, as reported by the backend. If the backend is unavailable -1 is returned.